# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Role/Dino.pm) perl(Class/Method/Modifiers.pm) perl(ExtUtils/MakeMaker.pm) perl(Role/Tiny/With.pm) perl(Test/Alien.pm) perl(Test/Alien/Diag.pm) perl(Test2/V0.pm) perl(URI/Escape.pm) pkgconfig(gsl)
# END SourceDeps(oneline)
%define module_name Math-GSL-Alien
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt1
Summary: Easy installation of the GSL shared library
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Math::GSL::Alien

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HA/HAKONH/%{module_name}-%{version}.tar.gz

%description
Provides the Gnu Scientific Library (GSL) for use by Perl modules, installing it if necessary.
This module relies heavily on the the Alien::Base manpage system to do so.
To avoid documentation skew, the author asks the reader to learn about the capabilities provided by that module rather than repeating them here.

The difference between this module and the Alien::GSL manpage
is that this module will download and install a shared version of the GSL library,
whereas `Alien::GSL' will install a static version of the GSL library.
The shared version is needed by the Math::GSL manpage,
see Alien::GSL-#17.
It will also reduce the size of the generated Perl XS libraries (`.so', `.xs.dll').

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 1.05-alt1
- initial import by package builder

